Page MenuHomePhabricator

initrd's e1000e driver missing in newer VyOS versions
Closed, ResolvedPublic

Description

https://forum.vyos.io/t/pxe-functionality-lost-in-crux-1-2-2/3975

Users found they cannot deploy newer VyOS versions through PXE on some devices anymore.

They seem to be right on their suspicions, the last time I see driver e1000e in initrd is in VyOS 1.2.0-H4.

santi@gnulinux:/media/santi/tests/PXE$ lsinitramfs vyos-1.1.8-amd64/live/initrd.img | grep e1000e
lib/modules/3.13.11-1-amd64-vyos/kernel/drivers/net/ethernet/intel/e1000e
lib/modules/3.13.11-1-amd64-vyos/kernel/drivers/net/ethernet/intel/e1000e/e1000e.ko
santi@gnulinux:/media/santi/tests/PXE$ 
santi@gnulinux:/media/santi/tests/PXE$ lsinitramfs vyos-1.2.0-H4-amd64/live/initrd.img-4.19.12-amd64-vyos | grep e1000e
lib/modules/4.19.12-amd64-vyos/kernel/drivers/net/ethernet/intel/e1000e
lib/modules/4.19.12-amd64-vyos/kernel/drivers/net/ethernet/intel/e1000e/e1000e.ko
santi@gnulinux:/media/santi/tests/PXE$ 
santi@gnulinux:/media/santi/tests/PXE$ lsinitramfs vyos-1.2.1-amd64/live/initrd.img-4.19.32-amd64-vyos | grep e1000e
santi@gnulinux:/media/santi/tests/PXE$ 
santi@gnulinux:/media/santi/tests/PXE$ lsinitramfs vyos-1.2.2-amd64/live/initrd.img-4.19.54-amd64-vyos | grep e1000e
santi@gnulinux:/media/santi/tests/PXE$ 
santi@gnulinux:/media/santi/tests/PXE$ lsinitramfs vyos-1.2.3-amd64/live/initrd.img-4.19.54-amd64-vyos | grep e1000e
santi@gnulinux:/media/santi/tests/PXE$ 
santi@gnulinux:/media/santi/tests/PXE$ lsinitramfs vyos-1.2-rolling-201908210922-amd64/live/initrd.img-4.19.67-amd64-vyos | grep e1000e
santi@gnulinux:/media/santi/tests/PXE$ 
santi@gnulinux:/media/santi/tests/PXE$

Details

Difficulty level
Unknown (require assessment)
Version
1.2
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Perfectly compatible

Event Timeline

s.lorente created this object in space S1 VyOS Public.
rps added a subscriber: rps.EditedDec 10 2019, 1:45 PM

Looks like this is resolved in 1.2.4-epa can @s.lorente confirm?

root@vyos:/boot# lsinitramfs initrd.img-4.19.84-amd64-vyos | grep e1000e
lib/modules/4.19.84-amd64-vyos/kernel/drivers/net/ethernet/intel/e1000e
lib/modules/4.19.84-amd64-vyos/kernel/drivers/net/ethernet/intel/e1000e/e1000e.ko

Yes, now the driver is there. But, as I am not using that driver, I have asked for confirmation, just in case.

https://forum.vyos.io/t/pxe-functionality-lost-in-crux-1-2-2/3975/8

Thank you @rps

pasik added a subscriber: pasik.Dec 12 2019, 8:39 PM

I've had no reply. I think we can consider it resolved.
We could always reopen it or open a new one if needed.

s.lorente closed this task as Resolved.Dec 18 2019, 11:39 AM